> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Cluster Nodes Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters/digitalocean/{cluster_id}/nodes
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/digitalocean/{cluster_id}/nodes:
    get:
      tags:
        - DigitalOcean Cluster API
      summary: List Cluster Nodes Endpoint
      operationId: >-
        list_cluster_nodes_endpoint_api_v1_clusters_digitalocean__cluster_id__nodes_get
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid
            title: Cluster Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NodeListResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    NodeListResult:
      properties:
        nodes:
          items:
            $ref: '#/components/schemas/NodeSummary'
          title: Nodes
          type: array
      required:
        - nodes
      title: NodeListResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    NodeSummary:
      properties:
        created_at:
          title: Created At
          type: string
        id:
          format: uuid4
          title: Id
          type: string
        instance_type:
          title: Instance Type
          type: string
        is_deleted:
          title: Is Deleted
          type: boolean
        kind:
          title: Kind
          type: string
        location:
          title: Location
          type: string
        name:
          title: Name
          type: string
        node_group:
          anyOf:
            - type: string
            - type: 'null'
          title: Node Group
        private_ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Private Ip
        public_ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Public Ip
        role:
          anyOf:
            - type: string
            - type: 'null'
          title: Role
        state:
          title: State
          type: string
        updated_at:
          title: Updated At
          type: string
      required:
        - id
        - kind
        - name
        - instance_type
        - location
        - state
        - is_deleted
        - created_at
        - updated_at
      title: NodeSummary
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````